package se.jupp.asteroids;

/**
 *  Frame listener called on each frame received.
 *
 *  This class is part of a solution for a competition
 *  <a href="http://www.heise.de/ct/creativ/08/02/details/">by the German computer magazine c't</a>
 *
 *  @see de.caff.asteroid.Communication#addFrameListener(FrameListener)
 *  @see de.caff.asteroid.Communication#removeFrameListener(FrameListener)
 */
public interface FrameListener {
    /**
     *  Called each time a frame is received.
     *
     *  <b>ATTENTION:</b> this is called from the communication thread!
     *  Implementing classes must be aware of this and take care by synchronization or similar!
     *  @param frame the received frame
     */
    public void frameReceived(Frame frame);
}
